2

I've installed Wysiwyg with CKEditor and set up a profile for the editor. However, the CKEditor toolbar isn't showing up. When I add new content Firebug shows the following script error:

CKEDITOR is not defined

It highlights line 144 of /sites/all/modules/wysiwyg/wysiwyg.js:

CKEDITOR.config.customConfig = '';

I'm really not sure how to solve this problem. Do I need to manually define CKEDITOR.config.customConfig? If so, what should its value be?

I should add that this is a fresh Drupal install (version 7.27) and that I'm using Wysiwyg 7.x-2.2-dev with CKEditor 4.4.0 (standard version). The reason for using the development version of Wysiwyg is that the stable version is unable to detect CKEditor.

  • And no mention about installing javascript library in your site's status report? Care to provide screenshots of your config? (remember to take them at browser windows's width about 600px, for best readability here). – Mołot May 16 '14 at 13:37
  • The status report doesn't show any errors (nothing in red) but does say that 'Upload progress' is not enabled (and recommends installing the PECL uploadprogress library or APC). Not sure what screenshots you'd like to see - do you want screenshots of the 'Wysiwyg profiles' menu? – rkhff May 16 '14 at 13:55
  • i.stack.imgur.com/yTEoX.png - yours looks similar? Version printed makes sense etc? – Mołot May 16 '14 at 13:57
  • Yes, I following the installation instructions carefully. Under Wysiwyg profiles the CKEditor is showing (CKEditor 4.4.0.98daef5) for 'Filtered HTML' and I've selected a bunch of buttons under 'CKEditor profile for Filtered HTML'. And, when I add a new page I've made sure the text format is set to 'Filtered HTML'. I've also made sure to clear the cache (both in Drupal and in my browser). – rkhff May 16 '14 at 14:03
  • Try latest 3.x, I had a serious problems with 4.x line in Drupal./ – Mołot May 16 '14 at 14:04
0

Yeah, I can confirm Molots statement.

Try to use CKEditor 3.5.3 with the newest Wysiwyg. Even with patches I could not solve the problems between CKE 4 and wysiwyg.

regards, SuperEngineer 64

EDIT: Also possible is to install the Develpoment-Version of Wysiwyg. I use it mit CKE4 now.

  • Many thanks, I've just tried Wysiwyg 7.x-2.2 with CKEditor 3.5.3 and it's all working. I'm surprised the Wysiwyg module needs an editor that's over three years old but glad I now got something functional. – rkhff May 16 '14 at 21:25

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.